## kdegames-4.2.4.tar.xz

=== CMakeLists.txt ===
project(kdegames)

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# search packages used by KDE
find_package(KDE4 REQUIRED)
include(KDE4Defaults)
include(MacroLibrary)
include(MacroOptionalAddSubdirectory)

# Integration with the GGZ Gaming Zone
include(GGZ)
set(GGZ_REGISTRYNAME "kdegames")

macro_log_feature(GGZCONFIG_FOUND "ggz-client-libs" "GGZ configuration program"	"http://www.ggzgamingzone.org/" FALSE "" "Needed to support registering KDE games with the GGZ Gaming Zone for online gaming.")

macro_optional_find_package(QCA2)
macro_log_feature(QCA2_FOUND "QCA2" "Qt Cryptographic Architecture" "http://delta.affinix.com/qca" FALSE "2.0.0" "Needed to build Ksirk Jabber support's GroupWise and Jabberprotocols.")


macro_optional_find_package(OpenGL)
macro_log_feature(OPENGL_FOUND "OpenGL" "API for developing portable, interactive 2D and 3Dgraphics applications" "http://mesa3d.sourceforge.net" FALSE "" "Kubrick will not be built and KSudoku will not have Roxdoku support without OpenGL.")
macro_log_feature(QT_QTOPENGL_FOUND "QtOpenGL" "Qt module that make it easy to use OpenGL in Qt apps" "http://doc.trolltech.com/latest/qtopengl.html" FALSE "" "Kubrick will not be built and KSudoku will not have Roxdoku support without QtOpenGL.")

if(OPENGL_FOUND AND QT_QTOPENGL_FOUND)
	set(OPENGL_SUPPORT true)
endif(OPENGL_FOUND AND QT_QTOPENGL_FOUND)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories ( ${QDBUS_INCLUDE_DIRS} ${CMAKE_SOURCE_DIR} ${CMAKE_BINARY_DIR} ${KDE4_INCLUDES})
# add the includes for libkdegames and the fwd headers, available for all the applications
include_directories(${CMAKE_SOURCE_DIR}/libkdegames ${CMAKE_SOURCE_DIR}/libkdegames/includes)
set(HIGHSCORE_DIRECTORY "" CACHE STRING "Where to install system-wide highscores e.g. /var/games")

if(WIN32)
  # detect oxygen icon dir at configure time based on KDEDIRS - there may be different package installation locations
  execute_process(COMMAND "${KDE4_KDECONFIG_EXECUTABLE}" --path icon OUTPUT_VARIABLE _dir ERROR_QUIET OUTPUT_STRIP_TRAILING_WHITESPACE)
  file(TO_CMAKE_PATH "${_dir}" __dir)
  find_path(KDE4_ICON_DIR oxygen PATHS
      ${__dir}
  )
  message(STATUS "using oxygen application icons from ${KDE4_ICON_DIR}")
else(WIN32)
    set (KDE4_ICON_DIR  ${CMAKE_INSTALL_PREFIX}/share/icons)
endif(WIN32)

macro_optional_add_subdirectory(doc)
add_subdirectory(libkdegames)
add_subdirectory(libkmahjongg)

macro_optional_add_subdirectory(bovo)
macro_optional_add_subdirectory(lskat)
macro_optional_add_subdirectory(katomic)
macro_optional_add_subdirectory(kbattleship)
macro_optional_add_subdirectory(kblackbox)
macro_optional_add_subdirectory(kblocks)
macro_optional_add_subdirectory(kbounce)
macro_optional_add_subdirectory(kbreakout)
macro_optional_add_subdirectory(kdiamond)
macro_optional_add_subdirectory(kfourinline)
macro_optional_add_subdirectory(kgoldrunner)
macro_optional_add_subdirectory(killbots)
macro_optional_add_subdirectory(kiriki)
macro_optional_add_subdirectory(kjumpingcube)
macro_optional_add_subdirectory(klines)
macro_optional_add_subdirectory(kmahjongg)
macro_optional_add_subdirectory(kmines)
macro_optional_add_subdirectory(knetwalk)
macro_optional_add_subdirectory(kolf)
macro_optional_add_subdirectory(kollision)
macro_optional_add_subdirectory(konquest)
macro_optional_add_subdirectory(kpat)
macro_optional_add_subdirectory(kreversi)
macro_optional_add_subdirectory(ksame)
macro_optional_add_subdirectory(kshisen)
if (QCA2_FOUND)
  macro_optional_add_subdirectory(ksirk)
endif (QCA2_FOUND)
macro_optional_add_subdirectory(kspaceduel)
macro_optional_add_subdirectory(ksquares)
macro_optional_add_subdirectory(ktuberling)
macro_optional_add_subdirectory(ksudoku)
macro_optional_add_subdirectory(kapman)
macro_optional_add_subdirectory(bomber)
if(OPENGL_SUPPORT)
  macro_optional_add_subdirectory(kubrick)
endif(OPENGL_SUPPORT)
add_subdirectory( cmake )



macro_display_feature_log()

=== bovo/CMakeLists.txt ===
project (BOVO)

# re-enabling exceptions (turned off in KDE)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")

include_directories (
        ${BOVO_SOURCE_DIR}/gui ${CMAKE_BINARY_DIR}/gui
	${BOVO_SOURCE_DIR}/game ${BOVO_SOURCE_DIR}/ai
)

set( bovogame_SRCS
	game/game.cc 
	game/board.cc 
	game/dimension.cc 
	game/coord.cc 
	game/square.cc 
	game/move.cc )

set( bovoai_SRCS 
	ai/ai.cc 
	ai/aiboard.cc 
	ai/aisquare.cc )

set(bovogui_SRCS
    gui/hintitem.cc
    gui/mark.cc
    gui/theme.cc
    gui/scene.cc
    gui/view.cc
    gui/mainwindow.cc
    gui/main.cc
)

kde4_add_kcfg_files(bovogui_SRCS gui/settings.kcfgc)
kde4_add_app_icon(bovogui_SRCS "${KDE4_ICON_DIR}/oxygen/*/apps/bovo.png")
kde4_add_executable(bovo ${bovogui_SRCS} ${bovoai_SRCS} ${bovogame_SRCS})

target_link_libraries(bovo kdegames ${KDE4_KDEUI_LIBS} )

add_subdirectory (themes)

install (TARGETS bovo ${INSTALL_TARGETS_DEFAULT_ARGS})
install (FILES gui/bovoui.rc  DESTINATION  ${DATA_INSTALL_DIR}/bovo )
install (FILES bovo.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

=== doc/CMakeLists.txt ===
add_subdirectory(katomic)
add_subdirectory(bovo)
add_subdirectory(kbattleship)
add_subdirectory(kblackbox)
add_subdirectory(kblocks)
add_subdirectory(kbounce)
add_subdirectory(kbreakout)
add_subdirectory(kdiamond)
add_subdirectory(kgoldrunner)
add_subdirectory(killbots)
add_subdirectory(kiriki)
add_subdirectory(kjumpingcube)
add_subdirectory(klines)
add_subdirectory(kmahjongg)
add_subdirectory(kmines)
add_subdirectory(knetwalk)
add_subdirectory(kolf)
add_subdirectory(kollision)
add_subdirectory(konquest)
add_subdirectory(kpat)
add_subdirectory(kreversi)
add_subdirectory(ksame)
add_subdirectory(kshisen)
add_subdirectory(ksirk)
add_subdirectory(kspaceduel)
add_subdirectory(ksquares)
add_subdirectory(ktuberling)
add_subdirectory(kfourinline)
add_subdirectory(lskat)
add_subdirectory(kapman)
add_subdirectory(bomber)
if(OPENGL_FOUND)
   add_subdirectory(ksudoku)
   add_subdirectory(kubrick)
endif(OPENGL_FOUND)

=== katomic/CMakeLists.txt ===
project(katomic)

add_subdirectory( levels )

########### next target ###############

set(katomic_SRCS 
   katomicrenderer.cpp
   highscores.cpp
   playfield.cpp
   fielditem.cpp
   molecule.cpp 
   main.cpp 
   toplevel.cpp 
   gamewidget.cpp )

kde4_add_kcfg_files(katomic_SRCS prefs.kcfgc)

kde4_add_app_icon(katomic_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-katomic.png")
kde4_add_executable(katomic ${katomic_SRCS})

target_link_libraries(katomic  ${KDE4_KIO_LIBS} ${KDE4_KDEUI_LIBS} kdegames )

install(TARGETS katomic  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES katomic.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES katomicui.rc  DESTINATION  ${DATA_INSTALL_DIR}/katomic )
install( FILES default_theme.svgz  DESTINATION  ${DATA_INSTALL_DIR}/katomic/pics/ )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== kbattleship/CMakeLists.txt ===
project(kbattleship)

add_subdirectory(src) 
add_subdirectory(data)

=== kblocks/CMakeLists.txt ===
project(kblocks)

add_subdirectory( themes ) 

include_directories( ${CMAKE_SOURCE_DIR}/libkdegames ${CMAKE_SOURCE_DIR}/libkdegames/highscore  )


########### next target ###############

set(kblocks_SRCS 
   main.cpp 
   kblocks.cpp 
   kblocksview.cpp 
   kblocksscene.cpp 
   kblocksgraphics.cpp 
   kblockssound.cpp 
   block.cpp 
   blockanimator.cpp )

kde4_add_kcfg_files(kblocks_SRCS settings.kcfgc )

kde4_add_app_icon(kblocks_SRCS "hi*-app-kblocks.png")

kde4_add_executable(kblocks ${kblocks_SRCS})

target_link_libraries(kblocks kdegames ${KDE4_KNEWSTUFF2_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_PHONON_LIBS} )

install(TARGETS kblocks  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kblocks.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kblocks.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES kblocksui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kblocks )
install( FILES kblocks.knsrc  DESTINATION  ${CONFIG_INSTALL_DIR} )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== killbots/CMakeLists.txt ===
project( killbots )

###### Switching to Subdirectories ######
add_subdirectory( icons )
add_subdirectory( rulesets )
add_subdirectory( themes )

###### Building killbots executable ######
SET( killbots_SRCS
    engine.cpp
    gamestatusdisplayitem.cpp
    mainwindow.cpp
    main.cpp
    optionspage.cpp
    render.cpp
    ruleset.cpp
    rulesetselector.cpp
    scene.cpp
    sprite.cpp
    view.cpp
)

kde4_add_app_icon(killbots_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-killbots.png"})
kde4_add_kcfg_files( killbots_SRCS settings.kcfgc rulesetbase.kcfgc )
kde4_add_executable( killbots ${killbots_SRCS} )
target_link_libraries( killbots ${KDE4_KDEUI_LIBS} kdegames ${QT_QTXML_LIBRARY})

###### Installing Files ######
install( TARGETS killbots ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( FILES killbots.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES killbotsui.rc DESTINATION ${DATA_INSTALL_DIR}/killbots )
install( FILES killbots.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

=== klines/CMakeLists.txt ===
project(klines)
include_directories( ${CMAKE_SOURCE_DIR}/libkdegames/highscore  )

add_subdirectory( themes )

########### next target ###############

set(klines_SRCS 
   mwidget.cpp 
   klines.cpp 
   main.cpp
   scene.cpp
   renderer.cpp
   ballitem.cpp
   previewitem.cpp
   animator.cpp)
   

kde4_add_kcfg_files(klines_SRCS prefs.kcfgc )

kde4_add_app_icon(klines_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-klines.png")
kde4_add_executable(klines ${klines_SRCS})

target_link_libraries(klines  ${KDE4_KDEUI_LIBS} kdegames )

install(TARGETS klines  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES klines.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES klines.kcfg  DESTINATION  ${KCFG_INSTALL_DIR} )
install( FILES klinesui.rc  DESTINATION  ${DATA_INSTALL_DIR}/klines )

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== kolf/CMakeLists.txt ===
project(kolf)


add_subdirectory( objects ) 
add_subdirectory( sounds ) 
add_subdirectory( courses ) 
add_subdirectory( pics ) 
add_subdirectory( graphics ) 

include_directories( ${CMAKE_SOURCE_DIR}/libkdegames/highscore  )


########### next target ###############

set(kolf_LIB_SRCS 
   kolf.cpp 
   game.cpp 
   canvasitem.cpp 
   ball.cpp 
   newgame.cpp 
   config.cpp 
   scoreboard.cpp 
   editor.cpp 
   pluginloader.cpp 
   object.cpp 
   vector.cpp 
   printdialogpage.cpp 
   kcomboboxdialog.cpp 
   kolfsvgrenderer.cpp
   floater.cpp 
   slope.cpp )

kde4_add_library(kolfprivate SHARED ${kolf_LIB_SRCS})

target_link_libraries(kolfprivate  ${KDE4_KIO_LIBS} ${KDE4_KDE3SUPPORT_LIBS} ${KDE4_PHONON_LIBS} kdegames)

set_target_properties(kolfprivate PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kolfprivate ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############

set(kolf_SRCS main.cpp)

kde4_add_app_icon(kolf_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/pics/hi*-app-kolf.png")
kde4_add_executable( kolf ${kolf_SRCS} )

target_link_libraries( kolf kolfprivate ${KDE4_KDEUI_LIBS})
install(TARGETS kolf  ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( FILES kolf.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES kolfui.rc intro tutorial.kolf tutorial.kolfgame  DESTINATION  ${DATA_INSTALL_DIR}/kolf )
#install( FILES ball.h game.h statedb.h config.h canvasitem.h object.h rtti.h vector.h floater.h slope.h  DESTINATION  ${INCLUDE_INSTALL_DIR}/kolf COMPONENT Devel )

=== konquest/CMakeLists.txt ===
project(konquest)

add_subdirectory( pics ) 

########### next target ###############

set(konquest_SRCS 
   Konquest.cc 
   gamelogic.cc
   planet.cc
   fleet.cc
   player.cc
   map.cc
   sector.cc
   gamecore.cc 
   mainwin.cc 
   gameview.cc
   mapview.cc 
   mapscene.cc
   mapitems.cc
   minimapview.cc 
   newgamedlg.cc 
   scoredlg.cc 
   fleetdlg.cc )

kde4_add_ui_files(konquest_SRCS newGameDialog.ui )

kde4_add_app_icon(konquest_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-konquest.png")
kde4_add_executable(konquest ${konquest_SRCS})

target_link_libraries(konquest  ${KDE4_KDEUI_LIBS} kdegames )

install(TARGETS konquest  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES konquest.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES konquestui.rc  DESTINATION  ${DATA_INSTALL_DIR}/konquest )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== kpat/CMakeLists.txt ===
project(kpat)

add_subdirectory( icons ) 
add_subdirectory( demos )

########### next target ###############

set(RELEASE "1")

set(kpat_SRCS
   main.cpp 
   cardmaps.cpp 
   card.cpp 
   dealer.cpp 
   view.cpp
   pwidget.cpp 
   pile.cpp 
   deck.cpp 
   demo.cpp
   pile_algorithms.cpp
   gamestatsimpl.cpp
   patsolve/patsolve.cpp
   patsolve/memory.cpp
   patsolve/klondike.cpp
   klondike.cpp
)

if (RELEASE)
set(kpat_SRCS ${kpat_SRCS}
   patsolve/spider.cpp
   spider.cpp
   patsolve/freecell.cpp
   freecell.cpp 
   patsolve/simon.cpp
   simon.cpp
   patsolve/idiot.cpp
   idiot.cpp
   patsolve/yukon.cpp
   yukon.cpp
   patsolve/golf.cpp
   golf.cpp
   patsolve/clock.cpp
   clock.cpp
   patsolve/mod3.cpp
   mod3.cpp
   patsolve/grandf.cpp
   grandf.cpp
   patsolve/gypsy.cpp
   gypsy.cpp
   patsolve/fortyeight.cpp
   fortyeight.cpp
)
endif(RELEASE)

kde4_add_ui_files(kpat_SRCS gamestats.ui )

kde4_add_app_icon(kpat_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/icons/hi*-app-kpat.png")
kde4_add_executable(kpat ${kpat_SRCS})

IF (QT_QTOPENGL_FOUND)
target_link_libraries(kpat  ${KDE4_KIO_LIBS} kdegames ${QT_QTOPENGL_LIBRARY})
ELSE (QT_QTOPENGL_FOUND)
target_link_libraries(kpat  ${KDE4_KIO_LIBS} kdegames)
ENDIF (QT_QTOPENGL_FOUND)

install(TARGETS kpat  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES kpat.desktop  DESTINATION  ${XDG_APPS_INSTALL_DIR} )
install( FILES pile.svg won.svg background.svg demo_bubble.svg DESTINATION  ${DATA_INSTALL_DIR}/kpat )
install( FILES kpatui.rc  DESTINATION  ${DATA_INSTALL_DIR}/kpat )

install( FILES kpat_update_cardwidth.upd DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== ksame/CMakeLists.txt ===
project(ksame)

include_directories( ${CMAKE_SOURCE_DIR}/libkdegames/highscore  )


########### next target ###############

set(ksame_SRCS 
    main.cpp 
    mainwindow.cpp
    board.cpp
    view.cpp
    renderer.cpp
   )

kde4_add_app_icon(ksame_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/hi*-app-ksame.png")
kde4_add_executable(ksame ${ksame_SRCS})

target_link_libraries(ksame  ${KDE4_KIO_LIBS} kdegames ${KDE4_KNOTIFYCONFIG_LIBS})

install(TARGETS ksame  ${INSTALL_TARGETS_DEFAULT_ARGS} )


########### install files ###############

install( FILES ksame.desktop      DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES ksameui.rc         DESTINATION ${DATA_INSTALL_DIR}/ksame )
install( FILES default_theme.svgz DESTINATION ${DATA_INSTALL_DIR}/ksame/pics/ )
install( FILES old_theme.svgz	  DESTINATION ${DATA_INSTALL_DIR}/ksame/pics/ )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== ksirk/debian/control ===
Source: ksirk
Section: games
Priority: optional
Maintainer: Christian Britz <cbritz@gmx.net>
Build-Depends: debhelper (>= 4.0.0), autotools-dev
Standards-Version: 3.6.1

Package: ksirk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: A Free and Open Source Strategy Game for KDE (Risk like)
 KsirK is a computerized version of a well known strategy board game: Risk ! 
 It is a game for KDE released under the GPL. In the current version, KsirK is a 
 usable multi-player network-enabled game with a basic AI.
 The goal of the game is simply to conquer the World... It is done by attacking your neighbors with your armies.

=== ksirk/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --prefix=$(CURDIR)/debian/ksirk/usr --qtdir=/usr/lib/qt3


build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/ksirk.sgml > ksirk.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/ksirk.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ksirk


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
